from model.tickerSymbol import TickerSymbol
from .base import BaseService


class TickerService(BaseService):
    def get_tickers(self):
        try:
            tickers = self.database.session.query(TickerSymbol).all()
            return [ticker.symbol for ticker in tickers]
        except Exception as e:
            pass