from datetime import datetime
from sqlalchemy import Column
from sqlalchemy import DateTime
from sqlalchemy import Float
from sqlalchemy import Integer
from sqlalchemy import String
from model.base import Base


class TickerSymbol(Base):
    __tablename__ = 'ticker_symbol'


    id = Column(Integer, primary_key=True, autoincrement=True)
    symbol = Column(String(15), nullable=False, unique=True)


    def to_dict(self):
        return {
            "symbol": self.symbol,
        }